# -*- coding: utf-8 -*-

"""
Simple transfomer: the 'name' attribute in a 'meta' element is extended with a 'property' value using the
same attribute value.

@author: U{Ivan Herman<a href="http://www.w3.org/People/Ivan/">}
@license: This software is available for use under the
U{W3C® SOFTWARE NOTICE AND LICENSE<href="http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231">}
@contact: Ivan Herman, ivan@w3.org
@version: $Id: MetaName.py,v 1.3 2007/10/04 13:02:46 ivan Exp $
$Date: 2007/10/04 13:02:46 $
"""

def MetaTransform(html) :
	"""
	@param html: a DOM node with the top level html element
	@param state: top level state
	"""
	for meta in html.getElementsByTagName("meta") :
		if meta.hasAttribute("name") and not meta.hasAttribute("property") :
			meta.setAttribute("property",meta.getAttribute("name"))

